Subject: Re: [bug-diffutils] bug#19186: [PATCH] OS/2 patches

From: KO Myung-Hun <[email-masked]>
Date: Thu, 11 Dec 2014 14:37:11 +0900

Jim Meyering wrote:
> On Tue, Nov 25, 2014 at 6:29 PM, KO Myung-Hun <[email-masked]> wrote:
>> Hi/2.
>>
>> These are OS/2 patches.
>>
>> Review, please...
>>
>> [PATCH 1/2] build: use quotation mark(") for PATH
>> [PATCH 2/2] diff: skip test if seek is not possible on OS/2 kLIBC
> 
> I saw no patches here, but was able to dig them out of the
> bug-tracking system at http://debbugs.gnu.org/19186.
> I have applied and pushed the first one.  Thank you.
> 
> However, for the second, my inclination is that if at all possible,
> it should be fixed via an lseek replacement that does something
> more sensible. Of course, that may not be possible, but from
> what you've presented so far, I cannot tell. Please demonstrate
> a use of diff that shows how OS/2+kLIBC's lseek fails.

Do you want this ?

-----
$ cat file | diff - file
diff.exe: -: Invalid seek
-----

-- 
KO Myung-Hun

Using Mozilla SeaMonkey 2.7.2
Under OS/2 Warp 4 for Korean with FixPak #15
In VirtualBox v4.1.32 on Intel Core i7-3615QM 2.30GHz with 8GB RAM

Korean OS/2 User Community : http://www.ecomstation.co.kr